Package org.bukkit.generator

# Interface WorldInfo

All Known Subinterfaces:
  `World`

public interface WorldInfo
Holds various information of a World

## Method Summary

Modifier and Type
Method
Description
`World.Environment`
`getEnvironment()`
Gets the `World.Environment` type of this world
`int`
`getMaxHeight()`
Gets the maximum height of this world.
`int`
`getMinHeight()`
Gets the minimum height of this world.
`@NotNull String`
`getName()`
Gets the unique name of this world
`long`
`getSeed()`
Gets the Seed for this world.
`@NotNull UUID`
`getUID()`
Gets the Unique ID of this world

## Method Details

### getName

@NotNull @NotNull String getName()
Gets the unique name of this world

Returns:
  Name of this world

### getUID

@NotNull @NotNull UUID getUID()
Gets the Unique ID of this world

Returns:
  Unique ID of this world.

### getEnvironment

@NotNull World.Environment getEnvironment()
Gets the `World.Environment` type of this world

Returns:
  This worlds Environment type

### getSeed

long getSeed()
Gets the Seed for this world.

Returns:
  This worlds Seed

### getMinHeight

int getMinHeight()
Gets the minimum height of this world.

If the min height is 0, there are only blocks from y=0.

Returns:
  Minimum height of the world

### getMaxHeight

int getMaxHeight()
Gets the maximum height of this world.

If the max height is 100, there are only blocks from y=0 to y=99.

Returns:
  Maximum height of the world